package notifications

import (
	messaging "github.com/tech/sendico/pkg/messaging/envelope"
	nn "github.com/tech/sendico/pkg/messaging/internal/notifications/notification"
	"github.com/tech/sendico/pkg/model"
)

func NotificationSent(sender string, result *model.NotificationResult) messaging.Envelope {
	return nn.NewNResultNotification(sender, result)
}
